import { defineNuxtModule, createResolver, addComponentsDir } from '@nuxt/kit';

const module = defineNuxtModule({
  meta: {
    name: "nuxt-protected-mailto"
  },
  setup(options, nuxt) {
    const resolver = createResolver(import.meta.url);
    addComponentsDir({
      path: resolver.resolve("./runtime/components"),
      // path of components
      pathPrefix: false,
      // Prefix component name by its path.
      prefix: "",
      // Prefix all matched components.
      global: true
      // Registers components to be globally available.
    });
  }
});

export { module as default };
